# class OptionParser::CompletingHash

`Hash` with completion search feature. See `OptionParser::Completion`.

### Public Instance Methods

match(key) click to toggle source

`Completion` for hash key.

    # File lib/optparse.rb, line 988
    def match(key)
      *values = fetch(key) {
        raise AmbiguousArgument, catch(:ambiguous) {return complete(key)}
      }
      return key, *values
    end